function [kinPerSec]=shiftingKin(kin, windowEMG, shiftEMG)
% calculates velocity from kinematic data in shifting window
    kinPerSec=zeros(fix((max(kin(:,1))-windowEMG*1000)/(shiftEMG*1000)),3);
    for j=1:size(kinPerSec,1)
        tmp=sum(diff(kin(kin(:,1)>(j-1)*shiftEMG*1000 & kin(:,1)<=(j-1)*shiftEMG*1000+windowEMG*1000,2:4)));
        i=j;
        while isnan(tmp) %interval is empty
            tmp=sum(diff(kin(kin(:,1)>(i-1)*shiftEMG*1000 & kin(:,1)<=(i-1)*shiftEMG*1000+windowEMG*1000,2:4)));
            i=i+1;
        end
        kinPerSec(j,:)=tmp;
    end
end